<?php 
session_start();


use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;


	if (isset($_POST['tipoFFicha'])) {

		if ($_POST['tipoFFicha'] == 1) {
				
			return_data_date ($_POST['inicio'],$_POST['fin'],$_POST['uen'],$_POST['tipoIncidente']);

		}else if($_POST['tipoFFicha'] == 2) {

			tomar_incidente ($_POST['idReclamo'],$_SESSION['id']);

		}else if($_POST['tipoFFicha'] == 3) {

			finalizar_orden ($_POST['idOrden'],$_SESSION['id']);

		}else if($_POST['tipoFFicha'] == 4) {

			detalle_reclamo ($_POST['idReclamo'],$_SESSION['id']);

		}else if($_POST['tipoFFicha'] == 5) {

			finalizar_reclamo ($_POST['idReclamo'],$_SESSION['id']);
		
		}else {

		}



	}else {

	}





	// ----- funciones 

	function return_data_date ($inicio, $fin, $uen, $tipoIncidente) {

		include_once("../config/conexion.php");

		if ($tipoIncidente == 0) {
				
			$filtroINC  = "";
		}else {

			$filtroINC  = "AND tipo_reclamo = ".$tipoIncidente;
		}



		if ($inicio <= $fin) {

			$query = $conexion->prepare("SELECT idReclamo, codigo_incidente,fecha_reclamo,nro_documento, concat(nombre_paciente,' ',apepaterno_paciente,' ',apematerno_paciente) as cliente, envio_correo_sol, if(estado_incidente=0, 'NO REALIZADO', if(estado_incidente=1, 'PROCESO','FINALIZADO')) as estado, 
				if(idUsuario = 0 , 'NO REGISTRA', (SELECT name FROM users WHERE id= idUsuario)) as usuario, estado_incidente as estado FROM reclamo WHERE tipo_uen=$uen  $filtroINC AND fecha_reclamo BETWEEN '$inicio' AND '$fin';");
			
			$query->execute();
			$data=$query->fetchAll(PDO::FETCH_ASSOC);

            echo json_encode($data);

		}else {
			echo  json_encode("no permitido");

		}

		// echo  json_encode($fin);

	}


	function tomar_incidente ($idReclamo, $userId) {

		include_once("../config/conexion.php");

		$query = $conexion->prepare("UPDATE reclamo
									SET  idUsuario = $userId,
										 estado_incidente = 1
									WHERE idReclamo = $idReclamo");
		if ($query->execute()) {
			
			echo json_encode(1);

		}else {
			echo json_encode(0);
		}	

		// echo json_encode($idOrden.' '.$userId);

	}


	function dataCuestionario (PDO $conexion , $idOrden) {


		$query = $conexion->prepare("SELECT * FROM orden o INNER JOIN clientes_nacionales_persona_natural p ON (p.ext_id=o.ord_ext_id) WHERE ord_id=$idOrden");
		$query->execute();
		$data = $query->fetchAll(PDO::FETCH_ASSOC);

		return $data;


	}

	// --- para calcular la edad

	function calculaedad($fechanacimiento){
	 
	  list($ano,$mes,$dia) = explode("-",$fechanacimiento);
	  $ano_diferencia  = date("Y") - $ano;
	  $mes_diferencia = date("m") - $mes;
	  $dia_diferencia   = date("d") - $dia;
	  if ($dia_diferencia < 0 || $mes_diferencia < 0)
	    $ano_diferencia--;
	
	  return $ano_diferencia;
	}



	function finalizar_orden ($idOrden, $userId) {

		include_once("../config/conexion.php");

		$query = $conexion->prepare("SELECT ord_user_cuestionario as usuario  FROM orden WHERE ord_id=$idOrden");
		$query->execute();
		$data = $query->fetch(PDO::FETCH_ASSOC);

		$usuarioId= $data['usuario'];

		if ($usuarioId == $userId) {

				$query2 = $conexion->prepare("UPDATE orden
											  SET ord_estado_cuestionario = 2
												WHERE ord_id = $idOrden");
				if ($query2->execute()) {
					
					echo json_encode(1);

				}else {
					echo json_encode(0);
				}	

		}else {
			
			echo json_encode(2);

		}

		


	}



	function detalle_reclamo ( $idReclamo, $id ) {

		include_once("../config/conexion.php");

		$query = $conexion->prepare("SELECT * FROM reclamo WHERE idReclamo=$idReclamo");
		$query->execute();
		$data = $query->fetchAll(PDO::FETCH_ASSOC);

		 echo json_encode($data);

	}


	function finalizar_reclamo ($idReclamo, $userId) {

		include_once("../config/conexion.php");

		$query = $conexion->prepare("UPDATE reclamo
									SET  estado_incidente = 2
									WHERE idReclamo = $idReclamo");

		if ($query->execute()) {


			$dataRe = data_envio_sol_correo($conexion,$idReclamo);

			$idReclamo = $dataRe[0]['idReclamo'];
			$codigo_incidente = $dataRe[0]['codigo_incidente'];
			$cliente = $dataRe[0]['cliente'];
			$tiporeclamo = $dataRe[0]['tiporeclamo'];
			$fecha_reclamo = $dataRe[0]['fecha_reclamo'];
			$detalle_incidente = $dataRe[0]['detalle_incidente'];
			$email = $dataRe[0]['email'];

			
			$envioCorreoClienteSol = envioCorreoClienteSol($conexion,$idReclamo,$codigo_incidente,$cliente,$tiporeclamo,$fecha_reclamo,$detalle_incidente,$email);
			
			echo json_encode($envioCorreoClienteSol);

		}else {
			echo json_encode(0);
		}	

		// echo json_encode($idOrden.' '.$userId);

	}



	function data_envio_sol_correo (PDO $conexion , $idReclamo) {


		$query = $conexion->prepare("SELECT idReclamo,codigo_incidente,fecha_reclamo,nro_documento, concat(nombre_paciente,' ',apepaterno_paciente,' ',apematerno_paciente) as cliente, tipo_reclamo as tiporeclamo, detalle_incidente,email  FROM reclamo WHERE idReclamo=$idReclamo");
		$query->execute();
		$data = $query->fetchAll(PDO::FETCH_ASSOC);

		return $data;


	}




  function envioCorreoClienteSol(PDO $conexion,$idReclamo,$codigo_incidente,$cliente,$tiporeclamo,$fecha_reclamo,$detalle_incidente,$email) {

  	require_once ('../../librerias/PHPMailer/Exception.php');
	require_once ('../../librerias/PHPMailer/PHPMailer.php');
	require_once ('../../librerias/PHPMailer/SMTP.php');

	if ($tiporeclamo == 1) {
		$descIncidente = 'Reclamo';
	}else {
		$descIncidente = 'Queja';

	}

	// -- para la fecha

	$date = date_create($fecha_reclamo);
	$fechaSolicitud =  date_format($date,"d/m/Y");



	// Create an instance; passing `true` enables exceptions
	$mail = new PHPMailer(true);

	try {
							    //Server settings
				 $mail->SMTPDebug = 0;                      //Enable verbose debug output
				 $mail->isSMTP();                                            //Send using SMTP
				 $mail->Host       = 'email-smtp.us-east-1.amazonaws.com';                     //Set the SMTP server to send through
				 $mail->SMTPAuth   = true;                                   //Enable SMTP authentication
				 $mail->Username   = 'AKIA2DWXAG2USAITN3EA';                     //SMTP username
				 $mail->Password   = 'BEMq4W5TysbZGcRBFliveioR04O2SRJgoYF888RVBXg9';                               //SMTP password
				 $mail->SMTPSecure = 'tls';            //Enable implicit TLS encryption
				 $mail->Port       = 587; 
				                                //TCP port to connect to; use 587 if you have set `SMTPSecure = PHPMailer::ENCRYPTION_STARTTLS`

				//Recipients
				$mail->setFrom('gescorp_noreply@escacorp.com.pe', 'Escacorp SAC');
				$mail->addAddress($email, 'Cliente');     //Add a recipient
							    


				//Content
				$mail->isHTML(true);                                  //Set email format to HTML
				$mail->Subject = $descIncidente.' Tramitado - ESCACORP S.A.C ';
				$mail->Body    = 'Estimado(a) Sr(a). <b>'.$cliente.'</b><br><br>Nos es grato poder informarle que su '.$descIncidente.' <b>'.$codigo_incidente.'</b> presentada el <b>'.$fechaSolicitud.'</b> ha sido resuelta. <br><br>Esperamos que esta solución haya podido cumplir con sus expectativas.<br><br>Es muy importante para nosotros poder seguir mejorando, por ello a continuación le brindamos una breve encuesta de satisfacción con respecto a la resolución de su '.$descIncidente.'<br><br>Link de la encuesta<br> <a href="https://forms.office.com/r/jSc0tczdHC">https://forms.office.com/r/jSc0tczdHC</a><br><br>Saludos cordiales<br>Área calidad Escacorp';
				$mail->AltBody = 'This is the body in plain text for non-HTML mail clients';
				$mail->CharSet = 'UTF-8'; 

				if($mail->send()){

	
					$query = $conexion->prepare("UPDATE reclamo 
											SET envio_correo_sol = 1
										WHERE idReclamo = $idReclamo");
					$query->execute();

					$respuesta = 1;

				}else {

					$respuesta = 0;

				}
							   
		} catch (Exception $e) {
			
			$foo = "Message could not be sent. Mailer Error: {$mail->ErrorInfo}";

			$respuesta = 2;
		}

		return $respuesta;
  }


	
