<?php
session_start();

if(isset($_SESSION['id'])){
    // echo $_SESSION['foo'];
}else {
    
header('Location: acceso.php');
exit;
}

include_once('views/partials/header.php');
include_once('views/partials/navbar.php');
include_once('views/partials/sidebar.php');

include_once('app/funciones/dUsuarios.php');
include_once("app/config/conexion.php"); // conexion

$fecha_actual = date("Y-m-d");
$fecha= date("Y-m-d",strtotime($fecha_actual."- 1 days")); 

// echo "->------------------------>>".$fecha;

?>

 <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h4 class="m-0 text-dark"><i class="fas fa-paste"></i> Gestión de Incidentes</h4>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="controlfichas.php">Control de Incidencias</a></li>
              <li class="breadcrumb-item active">Escacorp</li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid" >


      <div class="card">
        <div class="card-header">
          <div class="row">
            <div class="col-12">

              <form id="formBusquedaFichas">
              
               <div class="form-group">
                  
                  <div class="row">                 
                    <div class="col-sm-6">Inicio:  <input class="form-control" id="inicio" name="inicio" type="date" value="<?php echo $fecha_actual; ?>" ></div>      
                    <div class="col-sm-6">Fin : <input class="form-control" id="fin" name="fin" type="date" value="<?php echo $fecha_actual; ?>"  ></div> 

                    <div class="col-sm-6">Unidad Negocio:  <select name="uen" id="uen" class="form-control">
                                                  <option value="1">ESCALABS</option>
                                                  <option value="2">ESCAMED</option>
                                      </select></div>      
                    <div class="col-sm-6">Tipo Incidente:  <select name="tipoIncidente" id="tipoIncidente" class="form-control">
                                                  <option value="0">TODOS</option>
                                                  <option value="1">RECLAMO</option>
                                                  <option value="2">QUEJA</option>
                                      </select></div>      

                    <input type="hidden" name="tipoFFicha" class="form-control" value="1"> 
                  </div>
                </div>
                <button type="submit" class="btn btn-primary mb-2"><i class="fas fa-search mr-1"></i>Buscar</button>
              </form>
              
            </div>
          </div>
        </div>
      </div>


        <div class="card" >
            <div class="card-header">

              <div class="row">
                <div class="col-6">
                      
                    Tablero de Incidentes 
                </div>

                <div class="col-6">
                      <button class="btn btn-success " type="button" disabled style="display: none;" id="cargando">
                      <span class="spinner-border spinner-border-sm " role="status" aria-hidden="true"></span>
                      Cargando...
                    </button>
                </div>

              </div>
            </div>
            <div class="card-body ">
              <div class="table-responsive ">
               <table id="listadoFichasSintoma" class="table table-striped table-bordered" style="width: 82vw; text-align: center;" >
                      <thead>
                          <tr>
                              <th width="10">N°</th>                    
                              <th>FECHA</th>
                              <th>CODIGO</th>
                              <th>N° DOCUMENTO</th>
                              <th>CLIENTE</th>
                              <th>USUARIO</th>
                              <th>ESTADO</th>
                              <th>ACCIONES</th>
                          </tr>
                      </thead>
                      <tbody id="tbodyTable">


                          
                      </tbody>
                      <tfoot>
                          <tr>
                              <th width="10">N°</th>                    
                              <th>FECHA</th>
                              <th>CODIGO</th>
                              <th>N° DOCUMENTO</th>
                              <th>CLIENTE</th>
                              <th>USUARIO</th>
                              <th>ESTADO</th>
                              <th>ACCIONES</th>

                          </tr>
                      </tfoot>
                 </table>
             </div>
          </div>
    </div>




       
    <!-- /- fin del card -->


    </div><!--/. container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->


<!-- Para el modal de edicion  -->

      <div class="modal fade" id="modalVerIncidente" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
      <div class="modal-dialog  modal-lg">

         <form id="formEditarPersonal" >   
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel"><i class="fas fa-edit"></i> Visualizar Incidente</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                
                <div class="container">
                  <div class="row">
                    <div class="col-sm-12">

                        <div class="form-group row">
                        <div class="col-sm-10">
                          <input type="hidden" class="form-control" id="persona">
                        </div>
                      </div>


                      <div class="form-group row">
                        <label for="inputEmail3" class="col-sm-2 col-form-label">Cliente :</label>
                        <div class="col-sm-10">
                          <input type="text" class="form-control" id="cliente_edit" name="cliente_edit" readOnly >
                        </div>
                      </div>

                       <div class="form-group row">
                        <label for="inputEmail3" class="col-sm-2 col-form-label">Documento Identiad :</label>
                        <div class="col-sm-10">
                          <input type="text" class="form-control" id="dni_edit" name="dni_edit" readOnly >
                        </div>
                      </div>

                       <div class="form-group row">
                        <label for="inputEmail3" class="col-sm-2 col-form-label">Email :</label>
                        <div class="col-sm-10">
                          <input type="text" class="form-control" id="email_edit" name="email_edit" readOnly >
                        </div>
                      </div>

                       <div class="form-group row">
                        <label for="inputEmail3" class="col-sm-2 col-form-label">Telefono :</label>
                        <div class="col-sm-10">
                          <input type="text" class="form-control" id="telefono_edit" name="telefono_edit" readOnly >
                        </div>
                      </div>

                        <div class="form-group row">
                        <label for="inputEmail3" class="col-sm-2 col-form-label">Unidad de Negocio :</label>
                        <div class="col-sm-10">
                          <input type="text" class="form-control" id="uen_edit" name="uen_edit" readOnly >
                        </div>
                      </div>


                        <div class="form-group row">
                        <label for="inputEmail3" class="col-sm-2 col-form-label">Fecha y Hora Incidente :</label>
                        <div class="col-sm-10">
                          <input type="text" class="form-control" id="fechahora_edit" name="fechahora_edit" readOnly >
                        </div>
                      </div>

                      <div class="form-group row">
                        <label for="inputEmail3" class="col-sm-2 col-form-label">Sucursal :</label>
                        <div class="col-sm-10">
                          <input type="text" class="form-control" id="sucursal_edit" name="sucursal_edit" readOnly >
                        </div>
                      </div>

                     <div class="form-group row">
                        <label for="inputEmail3" class="col-sm-2 col-form-label">Detalle :</label>
                        <div class="col-sm-10">
                          <input type="text" class="form-control" id="detalle_edit" name="detalle_edit" readOnly >
                        </div>
                      </div>


                    

                    </div>
                  </div>
                </div>

              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal"><i class="fas fa-window-close"></i> Cerrar</button>
              </div>
            </div>

        </form>

      </div>
    </div>





<?php
 include_once('views/partials/footer.php');
?>

