<?php
session_start();

if (isset($_SESSION["id"])) {

  // echo $_SESSION["id"]."<br>";
  // echo "si esta definido";

}else {

   header("Location: acceso.php");
          exit(1);

}

include_once('views/partials/header.php');
include_once('views/partials/navbar.php');
include_once('views/partials/sidebar.php');



include_once('app/config/conexion.php');
include_once('app/funciones/dContadores.php');


$numUsuarios = numero_usuarios($conexion);


$numEFinalizadas = numero_incidentes_finalizados($conexion);
$numEtotal = numero_incidentes($conexion);
$numEnoFinalizadas = $numEtotal-$numEFinalizadas;


?>

 <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0 text-dark"></h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="admin.php">Inicio</a></li>
              <li class="breadcrumb-item active">Escacorp</li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <section class="content">
      <div class="container">



            <!-- Info boxes -->
        <div class="row">
          <div class="col-12 col-sm-6 col-md-3">
            <div class="info-box">
              <span class="info-box-icon bg-info elevation-1"><i class="fas fa-cog"></i></span>

              <div class="info-box-content">
                <span class="info-box-text">Usuarios</span>
                <span class="info-box-number">
                  <?php echo $numUsuarios;?>
                </span>
              </div>
              <!-- /.info-box-content -->
            </div>
            <!-- /.info-box -->
          </div>
          <!-- /.col -->
          <div class="col-12 col-sm-6 col-md-3">
            <div class="info-box mb-3">
              <span class="info-box-icon bg-danger elevation-1"><i class="far fa-thumbs-down"></i></span>

              <div class="info-box-content">
                <span class="info-box-text">No Finalizadas</span>
                <span class="info-box-number"><?php echo $numEnoFinalizadas;?></span>
              </div>
              <!-- /.info-box-content -->
            </div>
            <!-- /.info-box -->
          </div>
          <!-- /.col -->

          <!-- fix for small devices only -->
          <div class="clearfix hidden-md-up"></div>

          <div class="col-12 col-sm-6 col-md-3">
            <div class="info-box mb-3">
              <span class="info-box-icon bg-success elevation-1"><i class="far fa-thumbs-up"></i></span>

              <div class="info-box-content">
                <span class="info-box-text">Finalizadas</span>
                <span class="info-box-number"><?php echo $numEFinalizadas;?></span>
              </div>
              <!-- /.info-box-content -->
            </div>
            <!-- /.info-box -->
          </div>
          <!-- /.col -->
          <div class="col-12 col-sm-6 col-md-3">
            <div class="info-box mb-3">
              <span class="info-box-icon bg-warning elevation-1"><i class="fas fa-users"></i></span>

              <div class="info-box-content">
                <span class="info-box-text">Numero Incidentes</span>
                <span class="info-box-number"><?php echo $numEtotal;?></span>
              </div>
              <!-- /.info-box-content -->
            </div>
            <!-- /.info-box -->
          </div>
          <!-- /.col -->
        </div>



      <div class="row">
        <div class="col" >
             <div class="card border-info mb-3 mt-4" style="max-width: 100vw;  ">
            <div class="card-header">Bienvenid(a)</div>
            <div class="card-body text-info">
              <h5 class="card-title" style="font-size: 20px; font-weight: bolder; margin-bottom: 15px; color: #5BAB5D"><?=$_SESSION['name']?></h5>
              <p class="card-text " style="color: #5BAB5D">Tener en cuenta finalizar los incidentes registrados.</p>
            </div>
        </div>
        </div>
      </div>

    
  </div><!--/. container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->


<?php 
  include_once('views/partials/footer.php');
?>

