<?php
session_start();

if(isset($_SESSION['id'])){
    // echo $_SESSION['foo'];
}else {
    
// header('Location: https://www.escalabs.com/');
header('Location: acceso.php');
exit;
}

include_once('views/partials/header.php');
include_once('views/partials/navbar.php');
include_once('views/partials/sidebar.php');

include_once('app/funciones/dUsuarios.php');

include_once("app/config/conexion.php"); // conexion

  $Usuarios = listarUsuarios($conexion);

?>

   <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h4 class="m-0 text-dark"><i class="fas fa-users"></i> Gestión de Usuarios</h4>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="controlUsuario.php">Control de Usuarios</a></li>
              <li class="breadcrumb-item active">Escacorp</li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
    <section class="content">
      <div class="container-fluid" >


        <div class="card mt-5" >
            <div class="card-header">
              <div class="row">
                <div class="col-6">
                     Tablero de Personal
                </div>

                <div class="col-6">
                      <button class="btn btn-success " type="button" disabled style="display: none;" id="cargando">
                      <span class="spinner-border spinner-border-sm " role="status" aria-hidden="true"></span>
                      Cargando...
                    </button>
                </div>
              </div>
             
            </div>
            <div class="card-body ">
              <div class="table-responsive ">
               <table id="listadoUsuario" class="table table-striped table-bordered" style="width: 82vw" >
                      <thead>
                          <tr>
                              <th width="10">N°</th>
                              <th>Nombres</th>
                              <th>Correo</th>
                              <th>Cargo</th>
                              <th>Estado</th>
                              <th>Acciones</th>                 
                          </tr>
                      </thead>
                      <tbody>

                      <?php $i=1;
                            foreach ($Usuarios as $usuario) { 

                              if ($usuario['tipo'] == 1) {
                                  $tipoUsuario='ADMINISTRADOR';
                              }else {
                                  $tipoUsuario='USUARIO SECUNDARIO';
                              }
                      ?>      
                            <tr>
                                <td><?=$i;?></td>
                                <td><?=$usuario['name'];?></td>
                                <td><?=$usuario['correo'];?></td>
                                <td><?=$tipoUsuario;?></td>

                                <td>
                                  <?php if ($usuario['estado'] == 1) { ?>
                                    <div style="color: green;"><i class="fas fa-user-check mr-2"></i> Activo</div>
                                  <?php }else {?>
                                    <div style="color: red;"><i class="fas fa-user-minus mr-2"></i> Inactivo</div>
                                  <?php }?>
                                </td>


                                <td><button class="btn btn-primary" onclick="verEditar(<?=$usuario['id']?>)"><i class="far fa-edit mr-2"></i> Editar</button> 
                                  <?php if ($usuario['estado'] == 1) { ?>
                                      <button class="btn btn-danger ml-2" onclick="cambiarEstado(<?=$usuario['id']?>,0)"><i class="fas fa-user-minus mr-2"></i> Inactivar</button>
                                  <?php }else { ?>
                                      <button class="btn btn-success ml-2" onclick="cambiarEstado(<?=$usuario['id']?>,1)" ><i class="fas fa-user-check mr-2"></i> Activar</button>
                                  <?php } ?>

                                </td>
                            </tr>    
                           <?php  $i++;}


                      ?>

                      </tbody>
                      <tfoot>
                          <tr>
                              <th width="10">N°</th>
                              <th>Nombres</th>
                              <th>Correo</th>
                              <th>Cargo</th>
                              <th>Estado</th>
                              <th>Acciones</th>                 

                          </tr>
                      </tfoot>
                 </table>
             </div>
          </div>
      </div>
    <!-- /- fin del card -->


    </div><!--/. container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->




    <!-- Para el modal de edicion  -->

      <div class="modal fade" id="modaledit" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" data-backdrop="static">
      <div class="modal-dialog  modal-lg">

         <form id="formEditarPersonal" >   
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel"><i class="fas fa-edit"></i> Editar Personal</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
                </button>
              </div>
              <div class="modal-body">
                
                <div class="container">
                  <div class="row">
                    <div class="col-sm-12">

                        <div class="form-group row">
                        <div class="col-sm-10">
                          <input type="hidden" class="form-control" id="persona">
                        </div>
                      </div>


                      <div class="form-group row">
                        <label for="inputEmail3" class="col-sm-2 col-form-label">Nombre :</label>
                        <div class="col-sm-10">
                          <input type="text" class="form-control" id="nombre_edit" name="nombre_edit">
                        </div>
                      </div>

                      <div class="form-group row">
                        <label for="inputEmail3" class="col-sm-2 col-form-label">Email :</label>
                        <div class="col-sm-10">
                          <input type="email" class="form-control" id="email_edit" name="email_edit">
                        </div>
                      </div>

                      <div class="form-group row" style="display: none;">
                        <label for="inputEmail3" class="col-sm-2 col-form-label">Contraseña :</label>
                        <div class="col-sm-10">
                          <input type="hidden" class="form-control" id="password_edit" name="password_edit">
                        </div>
                      </div>

                      <div class="form-group row">
                        <label for="inputEmail3" class="col-sm-2 col-form-label">Tipo de Usuario :</label>
                        <div class="col-sm-10">
                         <select name="tipoUsuario_edit" id="tipoUsuario_edit" class="form-control">
                            <option value="1">Administrador</option>
                            <option value="2">Usuario Secundario</option>
                         </select>
                        </div>
                      </div>

                      <input type="hidden" class="form-control" id="tipoF" name="tipoF" value="2">
                      <input type="hidden" class="form-control" id="idU" name="idU">

                    </div>
                  </div>
                </div>

              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal"><i class="fas fa-window-close"></i> Cerrar</button>
                <button type="submit" class="btn btn-primary"><i class="fas fa-save"></i> Guardar</button>
              </div>
            </div>

        </form>

      </div>
    </div>



  


<?php 
  include_once('views/partials/footer.php');
?>

